ACL_CMP_NP(3)

NAME
acl_cmp - compare between two ACLs

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_cmp_np(acl_t acl1, acl_t acl2);

DESCRIPTION
The acl_cmp_np() function is a non-portable call that checks if ACLs pointed to by acl1 and acl2 are equivalent. The two ACLs are considered equal when they contain the same entries with matching tag types, qualifiers and permissions.

RETURN VALUES
Upon successful completion, this function returns 0 if the given ACLs are equivalent and 1 if they differ. Otherwise, the value -1 is returned, and errno indicates the error.

ERRORS
If any of the following conditions occur, the acl_cmp_np() function shall return a value of -1 and set errno to the corresponding value:

[EINVAL]
    Either first or second argument does not point to a valid ACL.

SEE ALSO
acl(3), posix1e(3)

STANDARDS
POSIX.1e is described in IEEE POSIX.1e draft 17. Discussion of the draft continues on the cross-platform POSIX.1e implementation mailing list. To join this list, see the FreeBSD POSIX.1e implementation page for more information.

HISTORY
POSIX.1e support was introduced in FreeBSD 4.0, and development continues.

AUTHORS
Gleb Popov